# Uses of Enum Class
nu.validator.htmlparser.common.XmlViolationPolicy

Packages that use XmlViolationPolicy
Package
Description
nu.validator.htmlparser.common
This package provides common interfaces and enumerations.
nu.validator.htmlparser.dom
This package provides an HTML5 parser that exposes the document using the DOM API.
nu.validator.htmlparser.impl
This package contains the bulk of parser internals.
nu.validator.htmlparser.io
nu.validator.htmlparser.sax
This package provides an HTML5 parser that exposes the document through the SAX API.
nu.validator.htmlparser.xom
This package provides an HTML5 parser that exposes the document through the XOM API.

## Uses of XmlViolationPolicy in nu.validator.htmlparser.common

Subclasses with type arguments of type XmlViolationPolicy in nu.validator.htmlparser.common
Modifier and Type
Class
Description
`enum`
`XmlViolationPolicy`
Policy for XML 1.0 violations.
Methods in nu.validator.htmlparser.common that return XmlViolationPolicy
Modifier and Type
Method
Description
`static XmlViolationPolicy`
XmlViolationPolicy.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XmlViolationPolicy[]`
XmlViolationPolicy.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of XmlViolationPolicy in nu.validator.htmlparser.dom

Methods in nu.validator.htmlparser.dom that return XmlViolationPolicy
Modifier and Type
Method
Description
`XmlViolationPolicy`
HtmlDocumentBuilder.`getBogusXmlnsPolicy()`
Deprecated.
`XmlViolationPolicy`
HtmlDocumentBuilder.`getCommentPolicy()`
Returns the commentPolicy.
`XmlViolationPolicy`
HtmlDocumentBuilder.`getContentNonXmlCharPolicy()`
Returns the contentNonXmlCharPolicy.
`XmlViolationPolicy`
HtmlDocumentBuilder.`getContentSpacePolicy()`
Returns the contentSpacePolicy.
`XmlViolationPolicy`
HtmlDocumentBuilder.`getNamePolicy()`
The policy for non-NCName element and attribute names.
`XmlViolationPolicy`
HtmlDocumentBuilder.`getStreamabilityViolationPolicy()`
Returns the streamabilityViolationPolicy.
`XmlViolationPolicy`
HtmlDocumentBuilder.`getXmlnsPolicy()`
Returns the xmlnsPolicy.
Methods in nu.validator.htmlparser.dom with parameters of type XmlViolationPolicy
Modifier and Type
Method
Description
`void`
HtmlDocumentBuilder.`setBogusXmlnsPolicy(XmlViolationPolicy bogusXmlnsPolicy)`
Deprecated.
`void`
HtmlDocumentBuilder.`setCommentPolicy(XmlViolationPolicy commentPolicy)`
Sets the policy for consecutive hyphens in comments.
`void`
HtmlDocumentBuilder.`setContentNonXmlCharPolicy(XmlViolationPolicy contentNonXmlCharPolicy)`
Sets the policy for non-XML characters except white space.
`void`
HtmlDocumentBuilder.`setContentSpacePolicy(XmlViolationPolicy contentSpacePolicy)`
Sets the policy for non-XML white space.
`void`
HtmlDocumentBuilder.`setNamePolicy(XmlViolationPolicy namePolicy)`
The policy for non-NCName element and attribute names.
`void`
HtmlDocumentBuilder.`setStreamabilityViolationPolicy(XmlViolationPolicy streamabilityViolationPolicy)`
Sets the streamabilityViolationPolicy.
`void`
HtmlDocumentBuilder.`setXmlnsPolicy(XmlViolationPolicy xmlnsPolicy)`
Whether the `xmlns` attribute on the root element is passed to through.
`void`
HtmlDocumentBuilder.`setXmlPolicy(XmlViolationPolicy xmlPolicy)`
This is a catch-all convenience method for setting name, xmlns, content space, content non-XML char and comment policies in one go.
Constructors in nu.validator.htmlparser.dom with parameters of type XmlViolationPolicy
Modifier
Constructor
Description
``
`HtmlDocumentBuilder(XmlViolationPolicy xmlPolicy)`
Instantiates the document builder with the JAXP DOM implementation and a specific XML violation policy.
``
`HtmlDocumentBuilder(DOMImplementation implementation, XmlViolationPolicy xmlPolicy)`
Instantiates the document builder with a specific DOM implementation and XML violation policy.

## Uses of XmlViolationPolicy in nu.validator.htmlparser.impl

Methods in nu.validator.htmlparser.impl with parameters of type XmlViolationPolicy
Modifier and Type
Method
Description
`void`
Tokenizer.`setCommentPolicy(XmlViolationPolicy commentPolicy)`
Sets the commentPolicy.
`void`
ErrorReportingTokenizer.`setContentNonXmlCharPolicy(XmlViolationPolicy contentNonXmlCharPolicy)`
Sets the contentNonXmlCharPolicy.
`void`
Tokenizer.`setContentNonXmlCharPolicy(XmlViolationPolicy contentNonXmlCharPolicy)`
Sets the contentNonXmlCharPolicy.
`void`
Tokenizer.`setContentSpacePolicy(XmlViolationPolicy contentSpacePolicy)`
Sets the contentSpacePolicy.
`void`
Tokenizer.`setNamePolicy(XmlViolationPolicy namePolicy)`
`void`
TreeBuilder.`setNamePolicy(XmlViolationPolicy namePolicy)`
`void`
Tokenizer.`setXmlnsPolicy(XmlViolationPolicy xmlnsPolicy)`
Sets the xmlnsPolicy.

## Uses of XmlViolationPolicy in nu.validator.htmlparser.io

Methods in nu.validator.htmlparser.io with parameters of type XmlViolationPolicy
Modifier and Type
Method
Description
`void`
Driver.`setCommentPolicy(XmlViolationPolicy commentPolicy)`
`void`
Driver.`setContentNonXmlCharPolicy(XmlViolationPolicy contentNonXmlCharPolicy)`
`void`
Driver.`setContentSpacePolicy(XmlViolationPolicy contentSpacePolicy)`
`void`
Driver.`setNamePolicy(XmlViolationPolicy namePolicy)`
`void`
Driver.`setXmlnsPolicy(XmlViolationPolicy xmlnsPolicy)`

## Uses of XmlViolationPolicy in nu.validator.htmlparser.sax

Methods in nu.validator.htmlparser.sax that return XmlViolationPolicy
Modifier and Type
Method
Description
`XmlViolationPolicy`
HtmlParser.`getBogusXmlnsPolicy()`
Deprecated.
`XmlViolationPolicy`
HtmlParser.`getCommentPolicy()`
Returns the commentPolicy.
`XmlViolationPolicy`
HtmlParser.`getContentNonXmlCharPolicy()`
Returns the contentNonXmlCharPolicy.
`XmlViolationPolicy`
HtmlParser.`getContentSpacePolicy()`
Returns the contentSpacePolicy.
`XmlViolationPolicy`
HtmlParser.`getNamePolicy()`
The policy for non-NCName element and attribute names.
`XmlViolationPolicy`
HtmlParser.`getStreamabilityViolationPolicy()`
Returns the streamabilityViolationPolicy.
`XmlViolationPolicy`
HtmlParser.`getXmlnsPolicy()`
Returns the xmlnsPolicy.
Methods in nu.validator.htmlparser.sax with parameters of type XmlViolationPolicy
Modifier and Type
Method
Description
`void`
HtmlParser.`setBogusXmlnsPolicy(XmlViolationPolicy bogusXmlnsPolicy)`
Deprecated.
`void`
HtmlParser.`setCommentPolicy(XmlViolationPolicy commentPolicy)`
Sets the policy for consecutive hyphens in comments.
`void`
HtmlParser.`setContentNonXmlCharPolicy(XmlViolationPolicy contentNonXmlCharPolicy)`
Sets the policy for non-XML characters except white space.
`void`
HtmlParser.`setContentSpacePolicy(XmlViolationPolicy contentSpacePolicy)`
Sets the policy for non-XML white space.
`void`
HtmlParser.`setNamePolicy(XmlViolationPolicy namePolicy)`
The policy for non-NCName element and attribute names.
`void`
HtmlParser.`setStreamabilityViolationPolicy(XmlViolationPolicy streamabilityViolationPolicy)`
Sets the streamabilityViolationPolicy.
`void`
HtmlParser.`setXmlnsPolicy(XmlViolationPolicy xmlnsPolicy)`
Whether the `xmlns` attribute on the root element is passed to through.
`void`
HtmlParser.`setXmlPolicy(XmlViolationPolicy xmlPolicy)`
This is a catch-all convenience method for setting name, xmlns, content space, content non-XML char and comment policies in one go.
Constructors in nu.validator.htmlparser.sax with parameters of type XmlViolationPolicy
Modifier
Constructor
Description
``
`HtmlParser(XmlViolationPolicy xmlPolicy)`
Instantiates the parser with a specific XML violation policy.

## Uses of XmlViolationPolicy in nu.validator.htmlparser.xom

Methods in nu.validator.htmlparser.xom that return XmlViolationPolicy
Modifier and Type
Method
Description
`XmlViolationPolicy`
HtmlBuilder.`getBogusXmlnsPolicy()`
Deprecated.
`XmlViolationPolicy`
HtmlBuilder.`getCommentPolicy()`
Returns the commentPolicy.
`XmlViolationPolicy`
HtmlBuilder.`getContentNonXmlCharPolicy()`
Returns the contentNonXmlCharPolicy.
`XmlViolationPolicy`
HtmlBuilder.`getContentSpacePolicy()`
Returns the contentSpacePolicy.
`XmlViolationPolicy`
HtmlBuilder.`getNamePolicy()`
The policy for non-NCName element and attribute names.
`XmlViolationPolicy`
HtmlBuilder.`getStreamabilityViolationPolicy()`
Returns the streamabilityViolationPolicy.
`XmlViolationPolicy`
HtmlBuilder.`getXmlnsPolicy()`
Returns the xmlnsPolicy.
Methods in nu.validator.htmlparser.xom with parameters of type XmlViolationPolicy
Modifier and Type
Method
Description
`void`
HtmlBuilder.`setBogusXmlnsPolicy(XmlViolationPolicy bogusXmlnsPolicy)`
Deprecated.
`void`
HtmlBuilder.`setCommentPolicy(XmlViolationPolicy commentPolicy)`
Sets the policy for consecutive hyphens in comments.
`void`
HtmlBuilder.`setContentNonXmlCharPolicy(XmlViolationPolicy contentNonXmlCharPolicy)`
Sets the policy for non-XML characters except white space.
`void`
HtmlBuilder.`setContentSpacePolicy(XmlViolationPolicy contentSpacePolicy)`
Sets the policy for non-XML white space.
`void`
HtmlBuilder.`setNamePolicy(XmlViolationPolicy namePolicy)`
The policy for non-NCName element and attribute names.
`void`
HtmlBuilder.`setStreamabilityViolationPolicy(XmlViolationPolicy streamabilityViolationPolicy)`
Sets the streamabilityViolationPolicy.
`void`
HtmlBuilder.`setXmlnsPolicy(XmlViolationPolicy xmlnsPolicy)`
Whether the `xmlns` attribute on the root element is passed to through.
`void`
HtmlBuilder.`setXmlPolicy(XmlViolationPolicy xmlPolicy)`
This is a catch-all convenience method for setting name, xmlns, content space, content non-XML char and comment policies in one go.
Constructors in nu.validator.htmlparser.xom with parameters of type XmlViolationPolicy
Modifier
Constructor
Description
``
`HtmlBuilder(XmlViolationPolicy xmlPolicy)`
Constructor with default node factory and given XML violation policy.
``
`HtmlBuilder(SimpleNodeFactory nodeFactory, XmlViolationPolicy xmlPolicy)`
Constructor with given node factory and given XML violation policy.